{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}

{literal}
<script>
$(document).ready(function(){

  $("input[name=category_type]").click(function () {
    $("[id^=category_type_]").hide();
    $("#category_type_"+$(this).attr("value")).show();
  });

});
</script>
{/literal}

{if $upload_mode eq 'html'}
<script type="text/javascript" src="{$plugin_path}include/upload.js"></script>
{elseif $upload_mode eq 'multiple'}
<script type="text/javascript" src="{$plugin_path}uploadify/swfobject.js"></script>
<script type="text/javascript" src="{$plugin_path}uploadify/jquery.uploadify.v2.1.0.min.js"></script>

<script type="text/javascript">
var basepath = '{$plugin_path}';
var upload_id = '{$upload_id}';
var session_id = '{$session_id}';
var pwg_token = '{$pwg_token}';
var buttonText = '{"Select files"|@translate}';

{literal}
jQuery(document).ready(function() {
  jQuery("#uploadify").uploadify({
    'uploader'       : basepath + 'uploadify/uploadify.swf',
    'script'         : basepath + 'uploadify/uploadify.php',
    'scriptData'     : {
      'upload_id' : upload_id,
      'session_id' : session_id,
      'pwg_token' : pwg_token,
    },
    'cancelImg'      : basepath + 'uploadify/cancel.png',
    'queueID'        : 'fileQueue',
    'auto'           : false,
    'displayData'    : 'speed',
    'buttonText'     : buttonText,
    'multi'          : true,
    'onAllComplete'  : function(event, data) {
      if (data.errors) {
        return false;
      }
      else {
        $("input[name=submit_upload]").click();
      }
    }
  });
});
{/literal}
</script>
{/if}

{literal}
<style>
#uploadBoxes P {
  margin:0;
  margin-bottom:2px;
  padding:0;
}

#batchLink {
  text-align:center;
}
</style>
{/literal}

<div class="titrePage">
  <h2>{'Upload Form'|@translate}</h2>
</div>

{if count($setup_errors) > 0}
<div class="errors">
  <ul>
  {foreach from=$setup_errors item=error}
    <li>{$error}</li>
  {/foreach}
  </ul>
</div>
{else}

{if !empty($thumbnails)}
<fieldset>
  <legend>{'Uploaded Photos'|@translate}</legend>
  <div>
  {foreach from=$thumbnails item=thumbnail}
    <a href="{$thumbnail.link}" onclick="window.open(this.href); return false;">
      <img src="{$thumbnail.src}" alt="{$thumbnail.file}" title="{$thumbnail.title}" class="thumbnail">
    </a>
  {/foreach}
  </div>
  <p id="batchLink"><a href="{$batch_link}">{$batch_label}</a></p>
</fieldset>
{/if}


<form id="uploadForm" enctype="multipart/form-data" method="post" action="{$F_ACTION}" class="properties">
{if $upload_mode eq 'multiple'}
<input name="upload_id" value="{$upload_id}" type="hidden">
{/if}
  <fieldset>
    <legend>{'Upload Photos'|@translate}</legend>

    <table>
      <tr>
        <th>{'Drop into category'|@translate}</th>
        <td>
          <label><input type="radio" name="category_type" value="existing" checked="checked"> {'existing category'|@translate}</label>
          <label><input type="radio" name="category_type" value="new"> {'create a new category'|@translate}</label>

          <div id="category_type_existing">
            <select class="categoryDropDown" name="category">
              {html_options options=$category_options}
            </select>
          </div>

          <div id="category_type_new" style="display:none">
            <table>
              <tr>
                <td>{'Parent category'|@translate}</td>
                <td>
                  <select class="categoryDropDown" name="category_parent">
                    <option value="0">------------</option>
                    {html_options options=$category_options}
                  </select>
                </td>
              </tr>
              <tr>
                <td>{'Category name'|@translate}</td>
                <td>
                  <input type="text" name="category_name" value="{$F_CATEGORY_NAME}"
                </td>
              </tr>
            </table>
          </div>

        </td>
      </tr>

      <tr>
        <th>{'Minimum privacy level'|@translate}</th>
        <td>
          <select name="level" size="1">
            {html_options options=$level_options selected=$level_options_selected}
          </select>
        </td>
      </tr>

{if $upload_mode eq 'html'}
      <tr>
        <td colspan="2">
          <strong>{'Select files'|@translate}</strong>
          <p>{'JPEG files or ZIP archives with JPEG files inside please.'|@translate}</p>
          <div id="uploadBoxes">
            <p><input class="file" type="file" size="70" name="image_upload[]" /></p>
          </div>
          <div id="addUploadBox">
            <a href="javascript: UpdateUploadSlots()">{'+ Add an upload box'|@translate}</a>
          </div>
        </td>
      </tr>
      
    </table>
    
    <p>
      <input class="submit" type="submit" name="submit_upload" value="{'Upload'|@translate}" {$TAG_INPUT_ENABLED}/>
    </p>
{elseif $upload_mode eq 'multiple'}
    </table>

    <p>
      <input type="file" name="uploadify" id="uploadify" />
    </p>

    <div id="fileQueue"></div>

    <p>
      <input class="submit" type="button" value="{'Upload'|@translate}" onclick="javascript:jQuery('#uploadify').uploadifyUpload()"/>
      <input type="submit" name="submit_upload" style="display:none"/>
    </p>
{/if}
  </fieldset>
</form>
{/if}